# Uses of Class
org.apache.zookeeper.server.watch.WatchesReport

Packages that use WatchesReport
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.watch

## Uses of WatchesReport in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return WatchesReport
Modifier and Type
Method
Description
`WatchesReport`
DataTree.`getWatches()`
Returns a watch report.

## Uses of WatchesReport in org.apache.zookeeper.server.watch

Methods in org.apache.zookeeper.server.watch that return WatchesReport
Modifier and Type
Method
Description
`WatchesReport`
IWatchManager.`getWatches()`
Returns a watch report.
`WatchesReport`
WatchManager.`getWatches()`
`WatchesReport`
WatchManagerOptimized.`getWatches()`